# CardSpriteObserver (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.client
Interface CardSpriteObserver

    public interface CardSpriteObserver

Observer interface for (draggable) card sprites.

Method Summary
`void` `cardSpriteClicked(CardSprite sprite, MouseEvent me)` Notifies the observer that the user clicked a card sprite.
`void` `cardSpriteDragged(CardSprite sprite, MouseEvent me)` Notifies the observer that the user dragged a card sprite to a new location.
`void` `cardSpriteEntered(CardSprite sprite, MouseEvent me)` Notifies the observer that the user moved the mouse pointer onto a card sprite.
`void` `cardSpriteExited(CardSprite sprite, MouseEvent me)` Notifies the observer that the user moved the mouse pointer off of a card sprite.

Method Detail

### cardSpriteClicked

    void cardSpriteClicked(CardSprite sprite,
                           MouseEvent me)

  Notifies the observer that the user clicked a card sprite.

  Parameters:
    `sprite` - the dragged sprite
    `me` - the mouse event associated with the drag

### cardSpriteEntered

    void cardSpriteEntered(CardSprite sprite,
                           MouseEvent me)

  Notifies the observer that the user moved the mouse pointer onto a card sprite.

  Parameters:
    `sprite` - the entered sprite
    `me` - the mouse event associated with the entrance

### cardSpriteExited

    void cardSpriteExited(CardSprite sprite,
                          MouseEvent me)

  Notifies the observer that the user moved the mouse pointer off of a card sprite.

  Parameters:
    `sprite` - the exited the sprite
    `me` - the mouse event associated with the exit

### cardSpriteDragged

    void cardSpriteDragged(CardSprite sprite,
                           MouseEvent me)

  Notifies the observer that the user dragged a card sprite to a new location.

  Parameters:
    `sprite` - the dragged sprite
    `me` - the mouse event associated with the drag

Copyright © 2011. All Rights Reserved.